### Method

# ECal ComponentAlarmTrigger fill_property

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_fill_property (
      const ECalComponentAlarmTrigger* trigger,
      ICalProperty* property
    )

#### Description [src]

Fill `property` with information from `trigger`. The `property` should be of kind `I_CAL_TRIGGER_PROPERTY`.

Available since: 3.34

#### Parameters

`property`

  Type: `None`

  An `ICalProperty`.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.